@if (testCaseViewComponentData) {
  <div class="test-case-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.status.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-level-enum-field
      class="full-width"
      [attr.data-test-field-id]="'test-case-status'"
      [layout]="'no-buttons'"
      [enumType]="'TestCaseStatus'"
      [showIcon]="true"
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'status'"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-label [text]="'sqtm-core.entity.generic.id.label' | translate">
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'test-case-id'">
      <span class="field-value-color">{{
        testCaseViewComponentData.testCase.id
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.test-case.importance.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-app-test-case-weight
      class="full-width"
      [testCaseViewComponentData]="testCaseViewComponentData"
    >
    </sqtm-app-test-case-weight>
    <sqtm-core-label
      [text]="'sqtm-core.entity.test-case.kind.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'test-case-kind'">
      <span class="field-value-color">{{
        getFormatTranslation(testCaseViewComponentData.testCase.kind)
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.test-case.nature.label' | translate"
    >
    </sqtm-core-label>
    <!--    Doing the change nature operation with directive as documentation-->
    <div class="flex-row">
      <i
        nz-icon
        [nzType]="
          getIcon(
            testCaseViewComponentData.projectData.testCaseNature,
            testCaseViewComponentData.testCase.nature
          )
        "
        nzTheme="outline"
        class="test-case-information-icon p-r-10 sqtm-core-infolist-icon table-icon-size"
      ></i>
      <sqtm-core-editable-select-infolist-field
        class="full-width"
        [layout]="'no-buttons'"
        [infoListItems]="
          testCaseViewComponentData.projectData.testCaseNature.items
        "
        [sqtmCoreEntityViewEditableInfolistDirective]="'nature'"
        [attr.data-test-field-id]="'test-case-nature'"
      >
      </sqtm-core-editable-select-infolist-field>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'test-case-created'"
      [userName]="testCaseViewComponentData.testCase.createdBy"
      [date]="testCaseViewComponentData.testCase.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.test-case.type.label' | translate"
    >
    </sqtm-core-label>
    <!--    Doing the change type operation manually as documentation-->
    <div class="flex-row">
      <i
        nz-icon
        [nzType]="
          getIcon(
            testCaseViewComponentData.projectData.testCaseType,
            testCaseViewComponentData.testCase.type
          )
        "
        nzTheme="outline"
        class="test-case-information-icon p-r-10 sqtm-core-infolist-icon table-icon-size"
      ></i>
      <sqtm-core-editable-select-infolist-field
        class="full-width"
        [attr.data-test-field-id]="'test-case-type'"
        [layout]="'no-buttons'"
        [infoListItems]="
          testCaseViewComponentData.projectData.testCaseType.items
        "
        [selectedItem]="testCaseViewComponentData.testCase.type"
        [sqtmCoreEntityViewEditableInfolistDirective]="'type'"
      >
      </sqtm-core-editable-select-infolist-field>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'test-case-lastModified'"
      [userName]="testCaseViewComponentData.testCase.lastModifiedBy"
      [date]="testCaseViewComponentData.testCase.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
    @if (isMilestoneFeatureEnabled$ | async) {
      <div class="test-case-grid-first-column">
        <sqtm-core-label
          [text]="'sqtm-core.entity.milestone.label.plural' | translate"
        >
        </sqtm-core-label>
      </div>
      <div class="test-case-grid-group-three-column">
        <sqtm-app-milestones-tag
          [attr.data-test-field-id]="'test-case-milestones'"
          [milestones]="testCaseViewComponentData.testCase.milestones"
          [titleKey]="'sqtm-core.dialog.milestone.bind.single'"
          [possibleMilestones]="
            getPossibleMilestones(testCaseViewComponentData)
          "
          [editable]="testCaseViewComponentData.permissions.canWrite"
          (deleteMilestone)="
            deleteMilestone(testCaseViewComponentData.testCase.id, $event)
          "
          (bindMilestones)="
            bindMilestones(testCaseViewComponentData.testCase.id, $event)
          "
        >
        </sqtm-app-milestones-tag>
      </div>
    }
    @for (cfd of customFieldData; track trackCfd($index, cfd)) {
      <sqtm-core-label class="test-case-grid-first-column" [text]="cfd.label">
      </sqtm-core-label>
      <div class="test-case-grid-group-three-column">
        <sqtm-core-custom-field-widget [sqtmCoreEntityCustomField]="cfd">
        </sqtm-core-custom-field-widget>
      </div>
    }
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [focus]="true"
      [attr.data-test-field-id]="'test-case-description'"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
